(defproject org.iiasa/lu-approximation "1.0.0"
  :description "Standalone application for approximation."
  :url "github.iiasa.ac.at"
  :license {:name "The MIT License"
            :url "http://opensource.org/licenses/MIT"}
  :scm {:url "git@github.iiasa.ac.at/LandUseSpatialDynamics.git"
        :dir "app/lu-approximation"}
  :dependencies [[org.clojure/clojure "1.8.0"]
                 [incanter "1.5.7"]
                 [org.iiasa/regression-tests "1.0.0"]
                 [org.iiasa/utilities "1.0.0"]]
  :plugins [[lein-codox "0.9.5"]]
  :codox {:output-path "doc"}
  :main ^:skip-aot lu-approximation.core
  :target-path "target/%s"
  :profiles {:uberjar {:aot :all}})
