(defproject org.iiasa/lu-preprocessing "1.0.0"
  :description "Standalone application for preprocessing of the GIS based variables."
  :url "github.iiasa.ac.at"
  :license {:name "The MIT License"
            :url "http://opensource.org/licenses/MIT"}
  :scm {:url "git@github.iiasa.ac.at/LandUseSpatialDynamics.git"
        :dir "app/lu-preprocessing"}
  :dependencies [[org.clojure/clojure "1.8.0"]
                 [org.iiasa/data-cleaning "1.0.0"]
                 [org.iiasa/utilities "1.0.0"]]
  :plugins [[lein-codox "0.9.5"]]
  :codox {:output-path "doc"}
  :main ^:skip-aot lu-preprocessing.core
  :target-path "target/%s"
  :profiles {:uberjar {:aot :all}})
