(defproject org.iiasa/lu-rescaling "1.0.0"
  :description "Standalone application for rescaling .asc data."
  :url "github.iiasa.ac.at"
  :license {:name "The MIT License"
            :url "http://opensource.org/licenses/MIT"}
  :scm {:url "git@github.iiasa.ac.at/LandUseSpatialDynamics.git"
        :dir "app/lu-rescaling"}
  :dependencies [[org.clojure/clojure "1.8.0"]
                 [org.clojure/math.combinatorics "0.1.3"]
                 [org.iiasa/utilities "1.0.0"]]
  :plugins [[lein-codox "0.9.5"]]
  :codox {:output-path "doc"}
  :main ^:skip-aot lu-rescaling.core
  :target-path "target/%s"
  :profiles {:uberjar {:aot :all}})
