(ns lu-rescaling.provider-test
  (:require [clojure.test :refer :all]
            [lu-rescaling.provider :refer :all]))


(deftest to-csv-test
  (testing "Values should be converted to csv"
    (
     ; Act
     let [csv (to-csv {"id1" '(1.0 2.0 3.0)
                       "id2" '(4 5.0 6.0)
                       "primary_id" '(1.0 1.0 1.0)
                       "id3" '(7.0 8.0 9.0)}
                      "primary_id")]

       ; Assert
       (is (= csv
              '(["primary_id" "id1" "id2" "id3"]
                ["1.000000" "1.000000" "4" "7.000000"]
                ["1.000000" "2.000000" "5.000000" "8.000000"]
                ["1.000000" "3.000000" "6.000000" "9.000000"]))))))
