(defproject org.iiasa/data-cleaning "1.0.0"
  :description "A library for preprocessing of the sample GIS-based data."
  :url "github.iiasa.ac.at"
  :license {:name "The MIT License"
            :url "http://opensource.org/licenses/MIT"}
  :scm {:url "git@github.iiasa.ac.at/LandUseSpatialDynamics.git"
        :dir "data-cleaning"}
  :dependencies [[org.clojure/clojure "1.8.0"]
                 [org.clojure/math.combinatorics "0.1.1"]
                 [org.clojure/math.numeric-tower "0.0.4"]
                 [clojure-csv/clojure-csv "2.0.1"]
                 [org.iiasa/utilities "1.0.0"]]
  :plugins [[lein-codox "0.9.5"]]
  :codox {:output-path "doc"}
  :main ^:skip-aot data-cleaning.core
  :target-path "target/%s"
  :profiles {:uberjar {:aot :all}})
