(defproject org.iiasa/utilities "1.0.0"
  :description "A library of commonly used functions."
  :url "github.iiasa.ac.at"
  :license {:name "The MIT License"
            :url "http://opensource.org/licenses/MIT"}
  :scm {:url "git@github.iiasa.ac.at/LandUseSpatialDynamics.git"
        :dir "utilities"}
  :dependencies [[org.clojure/clojure "1.8.0"]
                 [org.clojure/tools.cli "0.3.5"]
                 [clojure-csv/clojure-csv "2.0.1"]
                 [org.clojure/math.numeric-tower "0.0.4"]]
  :plugins [[lein-codox "0.9.5"]]
  :codox {:output-path "doc"}
  :main nil
  :target-path "target/%s"
  :profiles {:uberjar {:aot :all}})
