# Lu-approximation

Lu-approximation approximates data by the multiple linear regression model with resampling
and supplies estimates of the approximation accuracy.

Model estimations is done using OLS.
Confidence intervals for accuracy estimates are generated using bootstrapping.

## Install

No installation needed. This is a standalone java application.
Requires JRE 1.8.

## Usage

  execute in the root directory

  $ java -jar lu-approximation-1.0.0-standalone.jar sample-x1-x2-x3.csv
                                                    cells-x1-x2-x3.csv
                                                    10000

## Options

    -t, --trace   Print stack trace
    -h, --help    Print command help

## References
  [API Documentation] [doc] folder at the root of this distribution

  [1] Efron, B., & Tibshirani, R. (1993). An Introduction to the Bootstrap.
      New York: Chapman and Hall.

## License

Licensed under [MIT](http://opensource.org/licenses/MIT)
